## umbrello 24.05.0-0xneon+22.04+jammy+release+build37+11.0trisquel1

=== debian/changelog ===
umbrello (4:24.05.0-0xneon+22.04+jammy+release+build37+11.0trisquel1) aramo-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 05 Jun 2024 17:39:01 +0000

umbrello (4:24.05.0-0xneon+22.04+jammy+release+build37) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 03 Jun 2024 12:23:23 +0000

umbrello (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:53:39 +0000

umbrello (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:10:21 +0000

umbrello (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:54:54 +0000

umbrello (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:43:40 +0000

umbrello (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:22:43 +0000

umbrello (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 14:39:30 +0000

umbrello (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:00:42 +0000

umbrello (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:47:25 +0000

umbrello (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:32:43 +0000

umbrello (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:10:09 +0000

umbrello (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 14:01:16 +0000

umbrello (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:39:27 +0000

umbrello (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 10:56:42 +0000

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 1.1.0~),
               kdevelop-pg-qt,
               kdevelop-dev,
               kinit-dev,
               libboost-dev (>= 1.33.1),
               libclang-14-dev,
               libgrantlee5-dev,
               libkf5archive-dev,
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5syntaxhighlighting-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.2.0~),
               libqt5webkit5-dev (>= 5.2.0~),
               libxml2-dev,
               libxslt1-dev,
               llvm-13-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/umbrello.git
Vcs-Browser: https://invent.kde.org/neon/kde/umbrello
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>

Package: umbrello
Architecture: any
Section: devel
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

## umbrello 24.05.1-0xneon+22.04+jammy+release+build38+11.0trisquel1

=== debian/changelog ===
umbrello (4:24.05.1-0xneon+22.04+jammy+release+build38+11.0trisquel1) aramo-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 24 Jun 2024 08:42:52 +0000

umbrello (4:24.05.1-0xneon+22.04+jammy+release+build38) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Jun 2024 09:33:50 +0000

umbrello (4:24.05.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:12:30 +0000

## umbrello 24.08.2

=== debian/changelog ===
umbrello (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 14:41:56 -0500

umbrello (4:24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF5 debhelper build sequence.
  * Switch away from transitional pkg-config build dependency.
  * Drop condition for failing tests on some architectures: mipsel is
    gone and tests passed in the last build on powerpc.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Oct 2024 09:28:29 +0200

umbrello (4:23.08.2-1) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (23.08.2).

  [ Scarlett Moore ]
  * Remove override no longer needed. File doesn't exist.
  * Refresh copyright.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 13 Oct 2023 08:13:56 -0700

## umbrello 24.08.2-0zneon+24.04+noble+release+build15trisquel1

=== debian/changelog ===
umbrello (4:24.08.2-0zneon+24.04+noble+release+build15trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Oct 2024 00:42:51 +0000

umbrello (4:24.08.2-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 09:09:50 +0000

umbrello (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:48:11 +0000

umbrello (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:20:25 +0000

umbrello (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:12:30 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,9 @@
                debhelper (>= 9),
                doxygen,
                extra-cmake-modules (>= 1.1.0~),
-               kdevelop-pg-qt,
-               kdevelop-dev,
                kinit-dev,
                libboost-dev (>= 1.33.1),
-               libclang-14-dev,
+               libclang-dev,
                libgrantlee5-dev,
                libkf5archive-dev,
                libkf5auth-dev,
@@ -38,7 +36,7 @@
                libqt5webkit5-dev (>= 5.2.0~),
                libxml2-dev,
                libxslt1-dev,
-               llvm-13-dev,
+               llvm-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qhelpgenerator-qt5,

## umbrello 24.08.3

=== debian/changelog ===
umbrello (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:49:37 +0000

## umbrello 24.11.80

=== debian/changelog ===
umbrello (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 13:20:21 +0000

## umbrello 24.11.90

=== debian/changelog ===
umbrello (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:18:06 +0000

## umbrello 24.12.0

=== debian/changelog ===
umbrello (4:24.12.0-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unused Build-Depends. (Closes: #1099139)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Mar 2025 23:58:24 +0100

umbrello (4:24.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev. (Closes: #1093864)

 -- Bastian Germann <bage@debian.org>  Thu, 30 Jan 2025 16:45:10 +0100

umbrello (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 22:16:08 +0100

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.2.0~),
               gettext,
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.2.0~),
               libxml2-dev,
               libxslt1-dev,
               pkgconf,
               qtbase5-dev (>= 5.2.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/umbrello
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/umbrello.git

Package: umbrello
Architecture: any
Section: devel
Depends: kinit,
         umbrello-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Breaks: umbrello-data (<< 4:22.12.0-2~),
Replaces: umbrello-data (<< 4:22.12.0-2~),
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

Package: umbrello-data
Architecture: all
Section: devel
Depends: ${misc:Depends},
Breaks: umbrello (<< 4:22.12.0~),
Replaces: umbrello (<< 4:22.12.0~),
Description: Umbrello shared files
 Arch independent shared data files needed by Umbrello.
 .
 This package is part of the KDE Software Development Kit module.

## umbrello 24.12.1

=== debian/changelog ===
umbrello (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:42:26 +0000

umbrello (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:27:34 +0000

## umbrello 24.12.2

=== debian/changelog ===
umbrello (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:25:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: umbrello
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.2.0~),
                gettext,
                libkf5archive-dev,
@@ -17,11 +18,17 @@
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev,
+               libkf5kdelibs4support-dev,
                libkf5kio-dev,
                libkf5texteditor-dev,
+               libkf5threadweaver-dev,
                libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                libqt5svg5-dev (>= 5.2.0~),
+               libqt5webkit5-dev (>= 5.2.0~),
                libxml2-dev,
                libxslt1-dev,
                pkgconf,
@@ -31,8 +38,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/umbrello
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/umbrello.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
 
 Package: umbrello
 Architecture: any

## umbrello 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)

project(umbrello)

if(POLICY CMP0057)
    cmake_policy(SET CMP0057 NEW)
endif()

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(UMBRELLO_VERSION_MAJOR "2")
set(UMBRELLO_VERSION_MINOR "39")
if (RELEASE_SERVICE_VERSION_MICRO GREATER_EQUAL 70)
    math(EXPR UMBRELLO_VERSION_MINOR "${UMBRELLO_VERSION_MINOR}-1")
endif()

set(UMBRELLO_VERSION_PATCH ${RELEASE_SERVICE_VERSION_MICRO})

option(BUILD_APIDOC "Create api documentation" ON)

option(BUILD_ICONS "Create icons from svg source" OFF)

option(BUILD_CURSOR_ICONS "Create cursor icons from svg source" OFF)

option(BUILD_ICONS_INTO_SIZE_RELATED_DIRS "place icons into separate directories (for debugging purpose)" OFF)

option(BUILD_PHP_IMPORT "Build with php import support" ON)

option(BUILD_QCH "Build with QCH support" ON)

option(BUILD_TESTING "Build unit tests" ON)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
include(Macros)

set(CMAKE_AUTORCC ON)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fno-delete-null-pointer-checks")
    # TODO: after removing kdelibs4support this could also be removed
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
endif()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED YES)

set(APP_SUFFIX 5)
set(LIB_PREFIX Qt5::)
set(KF5_MIN_VERSION "5.2.0")
# we need some parts of the ECM CMake helpers
find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)

list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMAddTests)
set(QT_MIN_VERSION "5.2.0")
set(KDEV_MIN_VERSION 5.1.2)
set(KDEV_SOURCE_DIR lib/kdev5-php)
set(KDEV_COMPONENTS KDev::Interfaces KDev::Language KDev::Shell)
if(NOT QTQCHDIR)
    set(QTQCHDIR ${KDE_INSTALL_QTQCHDIR})
endif()

# search packages used by Qt
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    PrintSupport
    Svg
    Test
    Widgets
    Xml
)

# search packages used by KDE
find_package(KF5 REQUIRED COMPONENTS
    Archive
    Completion
    Config
    CoreAddons
    Crash
    DocTools
    I18n
    IconThemes
    KIO
    TextEditor
    WidgetsAddons
    WindowSystem
    XmlGui
)

if(CMAKE_COMPILER_IS_GNUCXX)
    string(REPLACE "-Wsuggest-override" "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
endif()

if(BUILD_PHP_IMPORT)
    find_package(KDevelop-PG-Qt)
    find_package(KDevPlatform ${KDEV_MIN_VERSION} COMPONENTS ${KDEV_COMPONENTS})
endif()
if(KDEVPGQT_FOUND AND KDEVPLATFORM_FOUND)
    message(STATUS "requirements available - enable building php code import")
    include_directories(
        ${KDEVPGQT_INCLUDE_DIR}
        ${KDEVPLATFORM_INCLUDE_DIR}
    )
    set(BUILD_PHP_IMPORT 1)
    add_definitions(
        -DENABLE_PHP_IMPORT
    )
    add_subdirectory(lib/kdevplatform)
    find_package(KDevPHP)
    if(NOT KDevPHP_FOUND)
        set(NO_INSTALL 1)
        set(BUILD_PARSER_ONLY 1)
        set(BUILD_PHP_IMPORT 1)
        add_definitions(
            -DKDEVPHPPARSER_EXPORT=
        )
        include_directories(
            ${CMAKE_SOURCE_DIR}/${KDEV_SOURCE_DIR}
            ${CMAKE_BINARY_DIR}/${KDEV_SOURCE_DIR}
        )
        add_subdirectory(${KDEV_SOURCE_DIR})
    endif()
else()
    set(BUILD_PHP_IMPORT 0)
endif()

set(UMBRELLO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/umbrello${APP_SUFFIX})

ki18n_install(po)
kdoctools_install(po)

if(POLICY CMP0071)
  cmake_policy(SET CMP0071 OLD)
endif()

# use some compile flags
add_definitions(
    -DQT_NO_SIGNAL_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
)

# set default umbrello version
# umbrello version could be overridden by cmake command line using -DUMBRELLO_VERSION_STRING=major.minor.patch
if(NOT UMBRELLO_VERSION_STRING)
    set(UMBRELLO_VERSION_STRING "${UMBRELLO_VERSION_MAJOR}.${UMBRELLO_VERSION_MINOR}.${UMBRELLO_VERSION_PATCH}")
    if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
        execute_process(
            COMMAND git rev-parse --short HEAD
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            OUTPUT_VARIABLE _hash
        )
        if(_hash)
           string(REPLACE "\n" "" hash ${_hash})
           set(UMBRELLO_VERSION_STRING "${UMBRELLO_VERSION_STRING}-${hash}")
        endif()
    endif()
endif()
set(APPLICATIONS_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

message(STATUS "Using umbrello version ${UMBRELLO_VERSION_STRING}")
add_definitions(-DUMBRELLO_VERSION_STRING="${UMBRELLO_VERSION_STRING}")
add_definitions(-DAPPLICATIONS_VERSION_STRING="${APPLICATIONS_VERSION_STRING}")

message(STATUS "Using automoc4 version ${AUTOMOC4_VERSION}")
message(STATUS "Using cmake version ${CMAKE_VERSION}")

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
    DESCRIPTION "A library to transform XMLfiles into other XML files."
    URL "http://xmlsoft.org/XSLT"
    TYPE REQUIRED)

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
    DESCRIPTION "Libraries used to develop XML applications."
    URL "http://xmlsoft.org"
    TYPE REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}
)

#
# Unstable features should not be enabled in stable branches
# This macro limits unstable feature to development branches
# by only adding -DENABLE_<name> to the compile command when
# the patch level is >= 70 which includes releases from master
# beta and rc releases. On cmake configure time a related status
# note is displayed.
#
# syntax:  add_unstable_feature(<name>)
#
# In code wrap feature related code with
#
#  #ifdef ENABLE_<name>
#    <feature code>
#  #endif
#
macro(add_unstable_feature name)
    if(UMBRELLO_VERSION_PATCH GREATER 69)
        add_definitions(-DENABLE_${name})
        set(ENABLE_${name} 1)
        message(STATUS "Enable unstable feature ${name} - use '#ifdef ENABLE_${name}' in related code")
    else()
        set(ENABLE_${name} 0)
        message(STATUS "Disable unstable feature ${name}")
    endif()
endmacro(add_unstable_feature)

add_unstable_feature(WIDGET_SHOW_DOC) # show documentation in classes ticket xxx
add_unstable_feature(NEW_CODE_GENERATORS) # new c++ code generator
add_unstable_feature(UML_OBJECTS_WINDOW) # objects dock window
add_unstable_feature(XMIRESOLUTION) # see https://bugs.kde.org/show_bug.cgi?id=90103
add_unstable_feature(COMBINED_STATE_DIRECT_EDIT) # experimental feature

# Current object diagram implementation does not follow UML 1.4 standard
# because of using umbrello specific XMI tag (UML:InstanceAttribute).
add_unstable_feature(OBJECT_DIAGRAM) # see https://bugs.kde.org/show_bug.cgi?id=123633

# requires cmake >= 3.9.6
find_package(Doxygen OPTIONAL_COMPONENTS dot)
if(DOXYGEN_FOUND AND BUILD_APIDOC)
    message(STATUS "found doxygen package")
    find_program(QHELPGENERATOR_EXECUTABLE NAMES qhelpgenerator qhelpgenerator-qt5)
    message(STATUS "found qhelpgenerator ${QHELPGENERATOR_EXECUTABLE}")
    set(DOXYGEN_ABBREVIATE_BRIEF "The $name class" "The $name widget")
    set(DOXYGEN_CALL_GRAPH YES)
    set(DOXYGEN_EXCLUDE_PATTERNS */lib/*)
    set(DOXYGEN_EXTRACT_ALL YES)
    set(DOXYGEN_EXTRACT_PACKAGE YES)
    set(DOXYGEN_EXTRACT_PRIVATE YES)
    set(DOXYGEN_EXTRACT_STATIC YES)
    set(DOXYGEN_GENERATE_HTMLHELP YES)
    set(DOXYGEN_HAVE_DOT ${DOXYGEN_HAVE_DOT})
    set(DOXYGEN_DOT_IMAGE_FORMAT svg)
    set(DOXYGEN_MARKDOWN_SUPPORT NO)
    set(DOT_GRAPH_MAX_NODES 0)
    set(DOXYGEN_MAX_DOT_GRAPH_DEPTH 0)
    set(DOXYGEN_PROJECT_BRIEF "Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology")
    set(DOXYGEN_PROJECT_NUMBER ${UMBRELLO_VERSION_STRING})
    #set(DOXYGEN_PROJECT_LOGO ${CMAKE_SOURCE_DIR}/umbrello/pics/global/hi32-apps-umbrello.png)
    set(DOXYGEN_SOURCE_BROWSER NO)
    set(DOXYGEN_UML_LOOK YES)
    set(DOXYGEN_USE_PDFLATEX NO)
    set(DOXYGEN_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/apidoc)

    if(BUILD_QCH AND QHELPGENERATOR_EXECUTABLE)
        set(DOXYGEN_GENERATE_QHP YES)
        set(DOXYGEN_QCH_FILE ${CMAKE_BINARY_DIR}/umbrello.qch)
        set(DOXYGEN_QHP_NAMESPACE org.kde.umbrello)
        set(DOXYGEN_QHG_LOCATION ${QHELPGENERATOR_EXECUTABLE})
        set(DOXYGEN_QHP_VIRTUAL_FOLDER doc)
        install(FILES ${DOXYGEN_QCH_FILE} DESTINATION ${QTQCHDIR} COMPONENT Devel)
    endif()

    doxygen_add_docs(apidoc
        ALL
        ${CMAKE_SOURCE_DIR}
        COMMENT "generating api doc"
    )

    install(DIRECTORY ${CMAKE_BINARY_DIR}/apidoc DESTINATION ${UMBRELLO_DATA_INSTALL_DIR})
endif()

if(LIBXSLT_FOUND AND LIBXML2_FOUND)
    add_subdirectory(umbrello)
    add_subdirectory(doc)
    add_subdirectory(tools)
endif(LIBXSLT_FOUND AND LIBXML2_FOUND)

add_subdirectory(maintainer)

# for automatic unit tests
if(BUILD_TESTING)
    ecm_optional_add_subdirectory(unittests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
umbrello (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Merge changes from Debian up to 4:24.12.0-2. (LP: #2102238)
    Fixes building without libqt5webkit5-dev now removed in Debian and Ubuntu.
  * Remaining changes in Ubuntu:
    - New upstream release (24.12.3)
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Mar 2025 18:37:24 +0000

umbrello (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:41 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.2.0~),
                gettext,
                libkf5archive-dev,
@@ -18,17 +18,11 @@
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
-               libkf5itemmodels-dev,
-               libkf5kcmutils-dev,
-               libkf5kdelibs4support-dev,
                libkf5kio-dev,
                libkf5texteditor-dev,
-               libkf5threadweaver-dev,
                libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                libqt5svg5-dev (>= 5.2.0~),
-               libqt5webkit5-dev (>= 5.2.0~),
                libxml2-dev,
                libxslt1-dev,
                pkgconf,

## umbrello 24.12.3-0zneon+24.04+noble+release+build23trisquel1

=== debian/changelog ===
umbrello (4:24.12.3-0zneon+24.04+noble+release+build23trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 11:04:41 +0000

umbrello (4:24.12.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Mar 2025 01:21:04 +0000

umbrello (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:51:01 +0000

umbrello (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:12:59 +0000

umbrello (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:09:32 +0000

umbrello (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:59:45 +0000

umbrello (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:24:18 +0000

umbrello (4:24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:12:30 +0000

## umbrello 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,13 @@
 endif()
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
-
-set(UMBRELLO_VERSION_MAJOR "2")
-set(UMBRELLO_VERSION_MINOR "39")
-if (RELEASE_SERVICE_VERSION_MICRO GREATER_EQUAL 70)
-    math(EXPR UMBRELLO_VERSION_MINOR "${UMBRELLO_VERSION_MINOR}-1")
-endif()
-
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+
+set(UMBRELLO_VERSION_MAJOR ${RELEASE_SERVICE_VERSION_MAJOR})
+set(UMBRELLO_VERSION_MINOR ${RELEASE_SERVICE_VERSION_MINOR})
+set(UMBRELLO_VERSION_MICRO ${RELEASE_SERVICE_VERSION_MICRO})
 set(UMBRELLO_VERSION_PATCH ${RELEASE_SERVICE_VERSION_MICRO})
 
 option(BUILD_APIDOC "Create api documentation" ON)
@@ -175,7 +172,6 @@
 add_definitions(-DUMBRELLO_VERSION_STRING="${UMBRELLO_VERSION_STRING}")
 add_definitions(-DAPPLICATIONS_VERSION_STRING="${APPLICATIONS_VERSION_STRING}")
 
-message(STATUS "Using automoc4 version ${AUTOMOC4_VERSION}")
 message(STATUS "Using cmake version ${CMAKE_VERSION}")
 
 find_package(LibXslt)

=== umbrello/pics/CMakeLists.txt ===

add_subdirectory(global)

set(ICONS
    accept_signal
    accept_time_event
    activity
    activity-fork
    actor
    aggregation
    align-horizontal-center
    align-horizontal-left
    align-horizontal-right
    align-vertical-bottom
    align-vertical-center
    align-vertical-top
    anchor
    andline
    arrow
    artifact
    association
    box
    branch
    category
    category2parent
    check_constraint
    child2category
    choice-rhomb
    choice-round
    class
    class-or-package
    combined_fragment
    component
    component1
    composition
    containment
    CVglobal_meth
    CVglobal_var
    CVimplementation_meth
    CVimplementation_signal
    CVimplementation_slot
    CVimplementation_var
    CVnamespace
    CVprivate_meth
    CVprivate_signal
    CVprivate_slot
    CVprivate_var
    CVprotected_meth
    CVprotected_signal
    CVprotected_slot
    CVprotected_var
    CVpublic_meth
    CVpublic_signal
    CVpublic_slot
    CVpublic_var
    CVstruct
    datatype
    deep-history
    dependency
    #unused
    #diag_activity
    #diagbase
    #diag_class
    #diag_collaboration
    #diag_component
    #diag_deployment
    #diag_entityrelationship
    #diag_sequence
    #diag_state
    diag_object
    #diag_usecase
    distribute-horizontal
    distribute-vertical
    end_state
    entity
    enum
    foreignkey_constraint
    generalisation
    initial_state
    instance
    interface
    interface-provider
    interface-requirement
    join
    junction
    node
    note
    object
    package
    port
    primarykey_constraint
    realization
    refactor
    relationship
    send_signal
    shallow-history
    state
    state-fork
    subsystem
    template
    text
    umbr-coll-message-asynchronous
    umbr-coll-message-synchronous
    umbr-message-asynchronous
    umbr-message-creation
    umbr-message-destroy
    umbr-message-found
    umbr-message-lost
    umbr-message-synchronous
    uniassociation
    unique_constraint
    usecase
)

set(CURSOR_ICONS
    accept_signal
    accept_time_event
    activity
    activity-fork
    actor
    aggregation
    anchor
    andline
    artifact
    association
    box
    branch
    category2parent
    category
    child2category
    choice-rhomb
    choice-round
    class
    combined_fragment
    component
    component1
    composition
    containment
    datatype
    deep-history
    dependency
    end_state
    entity
    enum
    exception
    final_activity
    generalisation
    initial_state
    instance
    interface
    interface-provider
    interface-requirement
    join
    junction
    node
    note
    object_node
    object
    package
    pin
    precondition
    PrePostCondition
    region
    relationship
    send_signal
    shallow-history
    state
    state-fork
    subsystem
    text
    umbr-coll-message-asynchronous
    umbr-coll-message-synchronous
    umbr-message-asynchronous
    umbr-message-creation
    umbr-message-destroy
    umbr-message-found
    umbr-message-lost
    umbr-message-synchronous
    uniassociation
    usecase
)

if(BUILD_ICONS)
    generate_icons("${ICONS}" 22)
    # for visual inspecting
    #generate_icons("${ICONS}" 128)
endif()

if(BUILD_CURSOR_ICONS)
    generate_cursor_icons("${CURSOR_ICONS}" 32)
endif()

=== debian/changelog ===
umbrello (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:27 +0200

## umbrello 25.04.1

=== debian/changelog ===
umbrello (4:25.04.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:57:46 +0200

umbrello (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:59 +0100

umbrello (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:07:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.2.0~),
                gettext,
                libkf5archive-dev,

## umbrello 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(UMBRELLO_VERSION_MAJOR ${RELEASE_SERVICE_VERSION_MAJOR})
 set(UMBRELLO_VERSION_MINOR ${RELEASE_SERVICE_VERSION_MINOR})

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR umbrello)

add_subdirectory(apphelp)

=== debian/changelog ===
umbrello (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.1).
    - Fix showing white diagram background on KDE desktop setup with dark
    theme. (kde#502898)
  * New upstream release (25.04.2).
    - Fix 'Creating a new document after adding two diagrams segfaults'.
    (kde#504940)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:41:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: umbrello
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.2.0~),
                gettext,
                libkf5archive-dev,
@@ -18,9 +17,13 @@
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev,
                libkf5kio-dev,
                libkf5texteditor-dev,
+               libkf5threadweaver-dev,
                libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
                libkf5xmlgui-dev,
                libqt5svg5-dev (>= 5.2.0~),
                libxml2-dev,
@@ -29,11 +32,11 @@
                qtbase5-dev (>= 5.2.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
+Homepage: https://apps.kde.org/umbrello/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/umbrello
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/umbrello.git
 
 Package: umbrello
 Architecture: any

## umbrello 25.04.3

=== debian/changelog ===
umbrello (4:25.04.3-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 14:35:22 +0000

umbrello (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:09:10 +0000

umbrello (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:22:57 +0000

umbrello (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:59:29 +0000

umbrello (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:18:28 +0000

## umbrello 25.04.3-0zneon+24.04+noble+release+build28trisquel1

=== debian/changelog ===
umbrello (4:25.04.3-0zneon+24.04+noble+release+build28trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Jul 2025 12:47:01 +0000

=== debian/control ===
Source: umbrello
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 1.1.0~),
               kinit-dev,
               libboost-dev (>= 1.33.1),
               libclang-14-dev,
               libgrantlee5-dev,
               libkf5archive-dev,
               libkf5auth-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5syntaxhighlighting-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.2.0~),
               libqt5webkit5-dev (>= 5.2.0~),
               libxml2-dev,
               libxslt1-dev,
               llvm-dev,
               pkg-kde-tools (>= 0.12),
               pkgconf,
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/umbrello.git
Vcs-Browser: https://invent.kde.org/neon/kde/umbrello
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>

Package: umbrello
Architecture: any
Section: devel
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export QT_SELECT=qt5

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_KF5=ON

override_dh_auto_build:
	$(overridden_command)
	cd obj-*; make apidoc; cd -

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## umbrello 25.07.80

=== debian/changelog ===
umbrello (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:30:22 +0100

umbrello (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:26 +0100

## umbrello 25.07.90

=== debian/changelog ===
umbrello (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:05:17 +0100

## umbrello 25.08.0

=== debian/changelog ===
umbrello (4:25.08.0-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 07:59:13 +0000

umbrello (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:56:39 +0000

## umbrello 25.08.0-0zneon+24.04+noble+release+build29trisquel1

=== debian/changelog ===
umbrello (4:25.08.0-0zneon+24.04+noble+release+build29trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 17 Aug 2025 06:46:52 +0000
